clear all;
close all;
clc

data_dir = [pwd filesep 'validation' filesep];

%% Add this directory to the MATLAB path.
addpath(pwd)

%% Check for previous files before starting validation procedure
% answers = dir(['answers.txt']);
% if(~isempty(answers))
%     while(1)
%         display(['Found previous answer sheet file in: ' pwd])
%         cont = upper(input('Delete it (Y/N/Q)?','s'));
%         if(strcmp(cont,'Y') || strcmp(cont,'N') || strcmp(cont,'Q'))
%             if(~strcmp(cont,'Y'))
%                 display('Exiting script!!')
%                 return;
%             end
%             break;
%         end
%     end
%     display('Removing previous answer sheet.')
%     delete(answers.name);
% end

%% Load the list of records in the validation set.
fid = fopen([data_dir 'RECORDS'],'r');
if(fid ~= -1)
    RECLIST = textscan(fid,'%s');
else
    error(['Could not open ' data_dir 'RECORDS for scoring. Exiting...'])
end
fclose(fid);
RECORDS = RECLIST{1};

%% Running on the validation set and obtain the score results
classifyResult = zeros(length(RECORDS),1);
total_time     = 0;

fid=fopen('answers.txt','wt');

  variance_t=0;
  sdps_t=0;
for i=272:length(RECORDS)
    entro=0;
    fname = RECORDS{i};
    [tm,ecg,fs,siginfo]=rdmat(fname);
  
 [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
b=ecg(QRS);
c(i-271)=iqr(b);
       
end 

%% box plots
x1=peak_noise;
x2=c;
f=[x1,x2];
u=zeros(1,315);
u(1:271)=1;
u(272:end)=2;
boxplot([x1,x2],u);
