clear all;
close all;
clc

data_dir = [pwd filesep 'validation' filesep];

%% Add this directory to the MATLAB path.
addpath(pwd)

%% Check for previous files before starting validation procedure
% answers = dir(['answers.txt']);
% if(~isempty(answers))
%     while(1)
%         display(['Found previous answer sheet file in: ' pwd])
%         cont = upper(input('Delete it (Y/N/Q)?','s'));
%         if(strcmp(cont,'Y') || strcmp(cont,'N') || strcmp(cont,'Q'))
%             if(~strcmp(cont,'Y'))
%                 display('Exiting script!!')
%                 return;
%             end
%             break;
%         end
%     end
%     display('Removing previous answer sheet.')
%     delete(answers.name);
% end

%% Load the list of records in the validation set.
fid = fopen([data_dir 'RECORDS'],'r');
if(fid ~= -1)
    RECLIST = textscan(fid,'%s');
else
    error(['Could not open ' data_dir 'RECORDS for scoring. Exiting...'])
end
fclose(fid);
RECORDS = RECLIST{1};

%% Running on the validation set and obtain the score results
classifyResult = zeros(length(RECORDS),1);
total_time     = 0;

fid=fopen('answers.txt','wt');

  sdps_t=0;
  
 for i=[1:255,257:271]%[272:298,300:length(RECORDS)]
    
    fname = RECORDS{i};
    [tm,ecg,fs,siginfo]=rdmat(fname);
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    ecgc=omit_beats(ecg,QRS);
         [QRS,sign,en_thres] = qrs_detect2(ecgc',0.25,0.6,fs);

% power=bandpower(ecgc);
%     power_t{i}=power;
%  
rr=diff(QRS);
rr=iqr(rr);
rr_t{i}=rr;
end
rr_t=cell2mat(rr_t);
save rr_t rr_t 
% % power_t=cell2mat(power_t);
% %  save power_t power_t
x1=rr_t;
x2=rr_nt;
f=[x1,x2];
u=zeros(1,314);
u(1:271)=1;
u(272:end)=2;
boxplot([x1,x2],u);
 
 
 