clear all;
close all;
clc

data_dir = [pwd filesep 'validation' filesep];

%% Add this directory to the MATLAB path.
addpath(pwd)

%% Check for previous files before starting validation procedure
% answers = dir(['answers.txt']);
% if(~isempty(answers))
%     while(1)
%         display(['Found previous answer sheet file in: ' pwd])
%         cont = upper(input('Delete it (Y/N/Q)?','s'));
%         if(strcmp(cont,'Y') || strcmp(cont,'N') || strcmp(cont,'Q'))
%             if(~strcmp(cont,'Y'))
%                 display('Exiting script!!')
%                 return;
%             end
%             break;
%         end
%     end
%     display('Removing previous answer sheet.')
%     delete(answers.name);
% end

%% Load the list of records in the validation set.
fid = fopen([data_dir 'RECORDS'],'r');
if(fid ~= -1)
    RECLIST = textscan(fid,'%s');
else
    error(['Could not open ' data_dir 'RECORDS for scoring. Exiting...'])
end
fclose(fid);
RECORDS = RECLIST{1};

%% Running on the validation set and obtain the score results
classifyResult = zeros(length(RECORDS),1);
total_time     = 0;

fid=fopen('answers.txt','wt');

  sdps_t=0;
for i=15%:length(RECORDS)
   
     entro=0;
    fname = RECORDS{i};
    [tm,ecg,fs,siginfo]=rdmat(fname);
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    figure 
    plot(ecg)
    for j=1:length(QRS)-1 
    g=ecg(QRS(j):QRS(j+1));
    entro(j)=bandpower(g);
   
    end
    
    
    h=zscore(entro);
    for k=1:length(h)
         if h(k)>1
            entro(k)=0;
         end 
    end
  m=entro;
  a= find(m==0);
  QRS(a)=0;
  b=find(QRS==0);
  bb=[b,b-1,b+1,length(QRS)];
  [im]=find(bb);
  bb=bb(im);
  p=1:length(QRS);
  p=setxor(bb,p);
   ecgc=0;

  for n=p
    g2=ecg(QRS(n):QRS(n+1));
  ecgc=[g2;ecgc];
 
  end

  
  
  %% see beats after removing noisy beats 
  
  i=1;
  for n=p
    
signal=ecg(QRS(n):QRS(n+1));
signal_total{i}=signal;
tool(i)=length(signal);
i=i+1;
end
%% making all beats the same length

candid_tool=fix(trimmean(tool,10));

 for i=1:length(signal_total)
 signal_align{i}=resample(cell2mat(signal_total(i)),candid_tool,length(signal_total{i}));
 end
 inp_woody=cell2mat(signal_align);

 %% finding best template using woody 

plot(inp_woody);


  %% see fisrt beats
      [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);

for i=1:length(QRS)-1
signal=ecg(QRS(i):QRS(i+1),1);
signal_total{i}=signal;
tool(i)=length(signal);
end
%% making all beats the same length

candid_tool=fix(trimmean(tool,10));

 for i=1:length(signal_total)
 signal_align{i}=resample(cell2mat(signal_total(i)),candid_tool,length(signal_total{i}));
 end
 inp_woody_2=cell2mat(signal_align);

 %% finding best template using woody 
figure
plot(inp_woody_2);

end 