clear all;
close all;
clc

data_dir = [pwd filesep 'validation' filesep];

%% Add this directory to the MATLAB path.
addpath(pwd)

%% Check for previous files before starting validation procedure
% answers = dir(['answers.txt']);
% if(~isempty(answers))
%     while(1)
%         display(['Found previous answer sheet file in: ' pwd])
%         cont = upper(input('Delete it (Y/N/Q)?','s'));
%         if(strcmp(cont,'Y') || strcmp(cont,'N') || strcmp(cont,'Q'))
%             if(~strcmp(cont,'Y'))
%                 display('Exiting script!!')
%                 return;
%             end
%             break;
%         end
%     end
%     display('Removing previous answer sheet.')
%     delete(answers.name);
% end

%% Load the list of records in the validation set.
fid = fopen([data_dir 'RECORDS'],'r');
if(fid ~= -1)
    RECLIST = textscan(fid,'%s');
else
    error(['Could not open ' data_dir 'RECORDS for scoring. Exiting...'])
end
fclose(fid);
RECORDS = RECLIST{1};

%% Running on the validation set and obtain the score results
classifyResult = zeros(length(RECORDS),1);
total_time     = 0;

fid=fopen('answers.txt','wt');

 
  sdps_t=0;
for i=299%:length(RECORDS)
     variancee=0;
    entro=0;
    fname = RECORDS{i};
    [tm,ecg,fs,siginfo]=rdmat(fname);
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    for j=1:length(QRS)-1 
    g=ecg(QRS(j):QRS(j+1));
    entro(j)=bandpower(g);
   
    end
    h=zscore(entro);
    for k=1:length(h)
         if h(k)>1
            entro(k)=0;
         end 
    end
  g=entro;
  a=find(g~=0);
 
  variancee=std(g(a));
  variancee_t(i)=variancee;
  [a,b]=find(isnan(variancee_t));
  variancee_t(b)=0;
  
end 
g=variancee_t(1:271);
 a=find(g<0.03);
g(a);
% entro=bandpower(ecg);
% %     b=diff(QRS);
% %      variancee=std(b);
%      feature{i,1}=[entro];
% end
% feature_mat=cell2mat(feature);