function pred_class = pred(segment,Weights,Biases) %segment size =[1,600]
%Build model :
load 'Weights'
load 'Biases'
dropout=0.75;
n=size(Weights.wc1,4);
a=segment;
c1=zeros(n,size(a,2)-size(Weights.wc1,2)+1); %for others size(seg,1)
for i=1:n
b=Weights.wc1(:,:,1,i);  %28
b=flip(b,2);
b=flip(b,1);
c1(i,:)=conv2(a,b,'valid');
end
c1=c1';
c1=add_bias(c1,Biases.bc1);
c1=elu(c1);
c1=maxpool2(c1);
c2=add_bias(conv1d(c1,Weights.wc2),Biases.bc2);
c2=maxpool2(c2);
c2=elu(c2);
c3=add_bias(conv1d(c2,Weights.wc3),Biases.bc3);
c3=maxpool2(c3);
c3=elu(c3);
c4=add_bias(conv1d(c3,Weights.wc4),Biases.bc4);
c4=maxpool2(c4);
c4=elu(c4);
c4=reshape(c4',[1,size(c4,1)*size(c4,2)]);
f1=fc(c4,Weights.wd1,Biases.bd1).*dropout;
f2=fc(f1,Weights.wd2,Biases.bd2).*dropout;
logits=f2*Weights.out+Biases.out;
[~,pred_class]=max(logits);
pred_class=pred_class-1;

end

